﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Syncfusion.OCRProcessor;
using Syncfusion.Pdf.Parsing;

namespace OCR_Testing
{
    public partial class _Default : System.Web.UI.Page
    {
        string filePath = " ";

        protected void Page_Load(object sender, EventArgs e)
        {
           // filePath = Server.MapPath("/");
            filePath = AppDomain.CurrentDomain.GetData("DataDirectory").ToString();
        }

        protected void Button1_Click(object sender, EventArgs e)
        {
            using (OCRProcessor processor = new OCRProcessor(filePath+@"\lib\"))
            {
                //Load the PDF document 
                PdfLoadedDocument lDoc = new PdfLoadedDocument(filePath + @"\sample_pl.pdf");
                //Specifying the language
                processor.Settings.Language = Languages.Polish;
                //Extracting the text from image and drawing into PDF
                string s= processor.PerformOCR(lDoc,filePath+@"\lib\Tessdata\");
                //Save the OCR processed PDF document in the disk
                lDoc.Save(@"Sample.pdf", Response, Syncfusion.Pdf.HttpReadType.Save);
                lDoc.Close(true);
            }
        }
    }
}
